## iraf-st4gem 1.2.1

=== pkg/hst_calib/synphot/auxdoc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/CalcspecBugReport.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/CalcspecBugReport.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## iraf-st4gem 1.0+ds

=== debian/changelog ===
iraf-st4gem (1.0+ds-3) unstable; urgency=medium

  * Don't build local tbtables (Closes: #1069398)

 -- Ole Streicher <olebole@debian.org>  Sat, 20 Apr 2024 21:47:20 +0200

iraf-st4gem (1.0+ds-2) unstable; urgency=medium

  * Fix installation of non-executables
  * Create list of files to install in d/install
  * Override dh_auto_clean
  * More documentation structure fixes

 -- Ole Streicher <olebole@debian.org>  Wed, 21 Feb 2024 20:38:07 +0100

iraf-st4gem (1.0+ds-1) unstable; urgency=low

  * Initial release. (Closes: #1061946)

 -- Ole Streicher <olebole@debian.org>  Tue, 30 Jan 2024 20:14:00 +0100

=== debian/control ===
Source: iraf-st4gem
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               iraf-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf-st4gem
Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf-st4gem.git
Homepage: https://gitlab.com/nsf-noirlab/csdc/usngo/iraf/st4gem
Rules-Requires-Root: no

Package: iraf-st4gem
Architecture: any
Multi-Arch: foreign
Depends: iraf,
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: iraf
Description: Selected tools from the Space Telescope Science Data Analysis System
 The Space Telescope Science Data Analysis System (STSDAS) is software
 for calibrating and analyzing data from the Hubble Space Telescope
 (HST). STSDAS includes the same calibration routines as are used in
 the routine data processing pipeline, as well as general-purpose
 tools and enhancements to the Image Analysis and Reduction Facility
 (IRAF).
 .
 The original STSDAS package contained non-free code and was 32-bit
 only.  For the Gemini legacy data reduction pipeline, selected tasks
 of STSDAS were ported to 64 bit and non-free code was replaced. These
 tasks are also useful outside of the Gemini data reduction context.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

export st4gem := $(CURDIR)/

override_dh_auto_configure:
	rm -rf bin
	mkdir -p bin

override_dh_auto_build:
	mkpkg -p st4gem -x

override_dh_auto_clean:
	/usr/lib/iraf/unix/bin/rmbin.e lib pkg
	rm -rf bin

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds//,repacksuffix=+ds" \
 https://gitlab.com/nsf-noirlab/csdc/usngo/iraf/st4gem/tags?sort=updated_desc archive/@ANY_VERSION@/st4gem-\d\S*@ARCHIVE_EXT@

## iraf-st4gem 1.2.1

=== debian/changelog ===
iraf-st4gem (1.2.1-1) unstable; urgency=medium

  * d/watch: push to format 5
  * Remove outdated Files-Excluded
  * New upstream version 1.2.1
  * Rediff patches. Drop patches forwarded to upstream
  * Push Standards-Version to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 21 Nov 2025 21:48:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: iraf-st4gem
+Standards-Version: 4.7.2
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
+Uploaders:
+ Ole Streicher <olebole@debian.org>,
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               iraf-dev
-Standards-Version: 4.6.2
+Build-Depends:
+ debhelper-compat (= 13),
+ iraf-dev,
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf-st4gem
 Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf-st4gem.git
 Homepage: https://gitlab.com/nsf-noirlab/csdc/usngo/iraf/st4gem
@@ -14,10 +16,12 @@
 Package: iraf-st4gem
 Architecture: any
 Multi-Arch: foreign
-Depends: iraf,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Enhances: iraf
+Depends:
+ iraf,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Enhances:
+ iraf,
 Description: Selected tools from the Space Telescope Science Data Analysis System
  The Space Telescope Science Data Analysis System (STSDAS) is software
  for calibrating and analyzing data from the Hubble Space Telescope

=== debian/watch ===
version: 5
Template: GitLab
Dist: https://gitlab.com/nsf-noirlab/csdc/usngo/iraf/st4gem
Matching-Pattern: @STABLE_VERSION@
